Subject: Re: Compiling a Prolog program to a stand alone application

From: Jan Wielemaker <[email-masked]>
Date: Mon, 13 Sep 1999 14:50:16 +0200

On Thu, 19 Aug 1999, ÐÝôñïò ÔóÝëéïò wrote:
>Hallo to everyone,
>I have (again) a compilation problem. But this time is a litle easier.
>According to the manual, if we use the "qsave_program('filename.exe',
>stand_alone(on))" command, we will have an executable program. Is that
>correct? If so, When I tried that, Prolog said "NO". What am I doing
>wrong?

The options argument must be a list, and a bool is true or false:

?- qsave_program('x.exe', [stand_alone(true)]). 

As windows has nothing like the Unix #!/path/to/emulator mechanism
and the plwin.exe frontent is small anyhow, stand_alone(true) is the
default on Windows.  Adding .exe is default too, so all this is the
same as qsave_program(x).

	--- Jan